[Previous] [Next] [Contents]

## `SG::Cycle2Perm` -- calculates the permutation from its decomposition into disjoint cycles

#### Call(s)

`SG::Cycle2Perm(dc)`

#### Parameters

`dc` | - | any list of lists

#### Introduction

The `SG::Cycle2Perm` function calculates the permutation corresponding to its decomposition `dc` into disjoint cycles. Note however that the main format for permutations is the list notation.

Fixed points need not to be given in the input.

#### Example 1

    >> muEC::SG::Cycle2Perm( [[1, 7, 2], [4, 6], [3], [5]] );

                               [7, 1, 3, 6, 5, 4, 2]

    >> muEC::SG::Cycle2Perm( [[1, 7, 2], [4, 6]] );

                               [7, 1, 3, 6, 5, 4, 2]

#### Related Functions

`Perm2Cycle`, `Perm2CycleType`, `Vect2Perm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package